<?php
//about theme info
add_action( 'admin_menu', 'steps_dance_academy_gettingstarted' );
function steps_dance_academy_gettingstarted() {    	
	add_theme_page( esc_html__('About Theme', 'steps-dance-academy'), esc_html__('About Theme', 'steps-dance-academy'),'edit_theme_options', 'steps_dance_academy_guide', 'steps_dance_academy_mostrar_guide');   
}

// Add a Custom CSS file to WP Admin Area
function steps_dance_academy_admin_theme_style() {
   wp_enqueue_style('custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getting-started/getting-started.css');
}
add_action('admin_enqueue_scripts', 'steps_dance_academy_admin_theme_style');

//guidline for about theme
function steps_dance_academy_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'steps-dance-academy' );

?>

<div class="wrapper-info">
	<div class="col-left">
		<div class="intro">
			<h3><?php esc_html_e( 'Welcome to Steps Dance Academy WordPress Theme', 'steps-dance-academy' ); ?> <span>Version: <?php echo esc_html($theme['Version']);?></span></h3>
		</div>
		<div class="started">
			<hr>
			<div class="free-doc">
				<div class="lz-4">
					<h4><?php esc_html_e( 'Start Customizing', 'steps-dance-academy' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Go to', 'steps-dance-academy' ); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizer', 'steps-dance-academy' ); ?> </a> <?php esc_html_e( 'and start customizing your website', 'steps-dance-academy' ); ?></span>
					</ul>
				</div>
				<div class="lz-4">
					<h4><?php esc_html_e( 'Support', 'steps-dance-academy' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Send your query to our', 'steps-dance-academy' ); ?> <a href="<?php echo esc_url( STEPS_DANCE_ACADEMY_SUPPORT ); ?>" target="_blank"> <?php esc_html_e( 'Support', 'steps-dance-academy' ); ?></a></span>
					</ul>
				</div>
			</div>
			<p><?php esc_html_e( 'Steps Dance Academy is a flawless, clean, modern and retina-ready WordPress theme to create website for learning ballet, dance academy, dance studio, dance instructor, fitness, dance club, jazz, salsa, Zumba and related websites. This theme has every option that you will need to create your website the easy way. It has a beautiful and responsive layout that fits well with all devices screen sizes. It is translation-ready and supports RTL layout. It allows to add shortcodes to improve the functionality of your website. It is optimized for speed so the page load times are faster. It offers many customization and personalization options. It is SEO-friendly that means it will surely take care of your website’s ranking on major search engines like Google. It has secure and clean codes which is the reason your website will load without any glitches. Moreover, it is based on bootstrap framework which makes it very handy to use. The social media option let’s you integrate all your social media pages to give credibility to your work.', 'steps-dance-academy')?></p>
			<hr>			
			<div class="col-left-inner">
				<h3><?php esc_html_e( 'Get started with Free Steps Dance Academy Theme', 'steps-dance-academy' ); ?></h3>
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/customizer-image.png" alt="" />
			</div>
		</div>
	</div>
	<div class="col-right">
		<div class="col-left-area">
			<h3><?php esc_html_e('Premium Theme Information', 'steps-dance-academy'); ?></h3>
			<hr>
		</div>
		<div class="centerbold">
			<a href="<?php echo esc_url( STEPS_DANCE_ACADEMY_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'steps-dance-academy'); ?></a>
			<a href="<?php echo esc_url( STEPS_DANCE_ACADEMY_BUY_NOW ); ?>"><?php esc_html_e('Buy Pro', 'steps-dance-academy'); ?></a>
			<a href="<?php echo esc_url( STEPS_DANCE_ACADEMY_PRO_DOCS ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'steps-dance-academy'); ?></a>
			<hr class="secondhr">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/steps-dance-academy.jpg" alt="" />
		</div>
		<h3><?php esc_html_e( 'PREMIUM THEME FEATURES', 'steps-dance-academy'); ?></h3>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon01.png" alt="" />
			<h4><?php esc_html_e( 'Banner Slider', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon02.png" alt="" />
			<h4><?php esc_html_e( 'Theme Options', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon03.png" alt="" />
			<h4><?php esc_html_e( 'Custom Innerpage Banner', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon04.png" alt="" />
			<h4><?php esc_html_e( 'Custom Colors and Images', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon05.png" alt="" />
			<h4><?php esc_html_e( 'Fully Responsive', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon06.png" alt="" />
			<h4><?php esc_html_e( 'Hide/Show Sections', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon07.png" alt="" />
			<h4><?php esc_html_e( 'Woocommerce Support', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon08.png" alt="" />
			<h4><?php esc_html_e( 'Limit to display number of Posts', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon09.png" alt="" />
			<h4><?php esc_html_e( 'Multiple Page Templates', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon10.png" alt="" />
			<h4><?php esc_html_e( 'Custom Read More link', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon11.png" alt="" />
			<h4><?php esc_html_e( 'Code written with WordPress standard', 'steps-dance-academy'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon12.png" alt="" />
			<h4><?php esc_html_e( '100% Multi language', 'steps-dance-academy'); ?></h4>
		</div>
	</div>
</div>
<?php } ?>